import { Location } from "@angular/common";
import { ChangeDetectorRef, OnDestroy } from "@angular/core";
import { MatBottomSheet } from "@angular/material/bottom-sheet";
import { Title } from "@angular/platform-browser";
import { ApplicationDto, AxiosApiClient, WidgetDto } from "@smallstack/axios-api-client";
import { BasePathService, ContextService, DataTypeStore, EnvironmentService, TokenService, TranslationHelper } from "@smallstack/common-components";
import { ServiceWorkerUpdateService } from "@smallstack/service-worker-components";
import { IconThemeService, ThemeService } from "@smallstack/theme-components";
import { FrontendTypeRegistry } from "@smallstack/type-components";
import { Observable } from "rxjs";
import { ApplicationService } from "../../services/application.service";
import * as i0 from "@angular/core";
export declare const APPLICATION_LOCAL_STORAGE_KEY = "@smallstack/application";
export declare class ApplicationComponent implements OnDestroy {
    #private;
    private axiosApiClient;
    private cdr;
    private basePathService;
    private dataTypeStore;
    private typeRegistry;
    private applicationService;
    private environmentService;
    private tokenService;
    private contextService;
    private serviceWorkerUpdateService;
    private bottomSheet;
    /** Application Id */
    set id(id: string);
    /** Application Domain */
    set domain(domain: string);
    set application(application: ApplicationDto);
    errorMessage: string;
    currentApplication$: import("@smallstack/store").Store<ApplicationDto>;
    protected editMode$: Observable<boolean>;
    protected currentLayoutComponent$: Observable<WidgetDto | undefined>;
    constructor(axiosApiClient: AxiosApiClient, themeService: ThemeService, cdr: ChangeDetectorRef, location: Location, basePathService: BasePathService, translationHelper: TranslationHelper, title: Title, dataTypeStore: DataTypeStore, typeRegistry: FrontendTypeRegistry, iconThemeService: IconThemeService, applicationService: ApplicationService, environmentService: EnvironmentService, tokenService: TokenService, contextService: ContextService, serviceWorkerUpdateService: ServiceWorkerUpdateService, bottomSheet: MatBottomSheet);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApplicationComponent, [null, null, null, null, null, null, null, null, null, null, null, null, null, null, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ApplicationComponent, "smallstack-application", never, { "id": { "alias": "id"; "required": false; }; "domain": { "alias": "domain"; "required": false; }; "application": { "alias": "application"; "required": false; }; }, {}, never, never, false, never>;
}
